Error
A valid request URL is required to generate request examples{
"results": {
"rows": [
"<unknown>"
],
"cacheMetadata": {
"cacheHit": true,
"preAggregate": {
"hit": true,
"reason": {
"reason": "no_pre_aggregates_defined"
},
"name": "<string>"
},
"cacheKey": "<string>",
"cacheExpiresAt": "2023-11-07T05:31:56Z",
"cacheUpdatedTime": "2023-11-07T05:31:56Z"
},
"metricQuery": {
"tableCalculations": [
{
"displayName": "<string>",
"name": "<string>",
"sql": "<string>",
"format": {
"round": 123,
"currency": "<string>",
"prefix": "<string>",
"suffix": "<string>",
"custom": "<string>"
},
"index": 123
}
],
"limit": 123,
"sorts": [
{
"descending": true,
"fieldId": "<string>",
"pivotValues": [
{
"value": "<string>",
"reference": "<string>"
}
],
"nullsFirst": true
}
],
"filters": {
"tableCalculations": {
"or": [
"<unknown>"
],
"id": "<string>"
},
"metrics": {
"or": [
"<unknown>"
],
"id": "<string>"
},
"dimensions": {
"or": [
"<unknown>"
],
"id": "<string>"
}
},
"metrics": [
"<string>"
],
"dimensions": [
"<string>"
],
"exploreName": "<string>",
"metadata": {
"hasADateDimension": {
"name": "<string>",
"label": "<string>",
"table": "<string>"
}
},
"customDimensions": [
{
"id": "<string>",
"name": "<string>",
"table": "<string>",
"type": "bin",
"dimensionId": "<string>",
"binType": "fixed_number",
"binNumber": 123
}
],
"additionalMetrics": [
{
"sql": "<string>",
"table": "<string>",
"name": "<string>",
"label": "<string>",
"description": "<string>",
"hidden": true,
"round": 123,
"index": 123,
"filters": [
{
"id": "<string>",
"target": {
"fieldRef": "<string>"
},
"values": [
"<unknown>"
],
"settings": "<unknown>",
"disabled": true,
"required": true,
"caseSensitive": true
}
],
"baseDimensionName": "<string>",
"uuid": "<string>",
"percentile": 123,
"distinctKeys": [
"<string>"
],
"formatOptions": {
"round": 123,
"currency": "<string>",
"prefix": "<string>",
"suffix": "<string>",
"custom": "<string>"
},
"generationType": "periodOverPeriod",
"baseMetricId": "<string>",
"timeDimensionId": "<string>",
"periodOffset": 123
}
]
},
"fields": {}
},
"status": "ok"
}Charts
Run chart query
deprecated
Deprecated — use the v2 Execute saved chart endpoint instead.
This endpoint was deprecated on 20 March 2025 and is past its sunset date (30 April 2025) — it may be removed at any time. Migrate to the v2 async query flow: Execute saved chart, then Get results.
POST
/
api
/
v1
/
saved
/
{chartUuid}
/
results
Error
A valid request URL is required to generate request examples{
"results": {
"rows": [
"<unknown>"
],
"cacheMetadata": {
"cacheHit": true,
"preAggregate": {
"hit": true,
"reason": {
"reason": "no_pre_aggregates_defined"
},
"name": "<string>"
},
"cacheKey": "<string>",
"cacheExpiresAt": "2023-11-07T05:31:56Z",
"cacheUpdatedTime": "2023-11-07T05:31:56Z"
},
"metricQuery": {
"tableCalculations": [
{
"displayName": "<string>",
"name": "<string>",
"sql": "<string>",
"format": {
"round": 123,
"currency": "<string>",
"prefix": "<string>",
"suffix": "<string>",
"custom": "<string>"
},
"index": 123
}
],
"limit": 123,
"sorts": [
{
"descending": true,
"fieldId": "<string>",
"pivotValues": [
{
"value": "<string>",
"reference": "<string>"
}
],
"nullsFirst": true
}
],
"filters": {
"tableCalculations": {
"or": [
"<unknown>"
],
"id": "<string>"
},
"metrics": {
"or": [
"<unknown>"
],
"id": "<string>"
},
"dimensions": {
"or": [
"<unknown>"
],
"id": "<string>"
}
},
"metrics": [
"<string>"
],
"dimensions": [
"<string>"
],
"exploreName": "<string>",
"metadata": {
"hasADateDimension": {
"name": "<string>",
"label": "<string>",
"table": "<string>"
}
},
"customDimensions": [
{
"id": "<string>",
"name": "<string>",
"table": "<string>",
"type": "bin",
"dimensionId": "<string>",
"binType": "fixed_number",
"binNumber": 123
}
],
"additionalMetrics": [
{
"sql": "<string>",
"table": "<string>",
"name": "<string>",
"label": "<string>",
"description": "<string>",
"hidden": true,
"round": 123,
"index": 123,
"filters": [
{
"id": "<string>",
"target": {
"fieldRef": "<string>"
},
"values": [
"<unknown>"
],
"settings": "<unknown>",
"disabled": true,
"required": true,
"caseSensitive": true
}
],
"baseDimensionName": "<string>",
"uuid": "<string>",
"percentile": 123,
"distinctKeys": [
"<string>"
],
"formatOptions": {
"round": 123,
"currency": "<string>",
"prefix": "<string>",
"suffix": "<string>",
"custom": "<string>"
},
"generationType": "periodOverPeriod",
"baseMetricId": "<string>",
"timeDimensionId": "<string>",
"periodOffset": 123
}
]
},
"fields": {}
},
"status": "ok"
}This endpoint is deprecated and past its sunset date (30 April 2025) — it may be removed at any time.Migrate to the v2 async query flow: Execute saved chart (
POST /api/v2/projects/{projectUuid}/query/chart) to start the query, then Get results to fetch rows. See also Cancel query and Download results.Was this page helpful?
⌘I